Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.pageflow
Class Page

    java.lang.Object
      org.jbpm.graph.def.GraphElement
          org.jbpm.graph.def.Node
              org.jboss.seam.pageflow.Page

All Implemented Interfaces:
  Serializable, org.jbpm.jpdl.xml.Parsable

    public class Page

extends org.jbpm.graph.def.Node
implements org.jbpm.jpdl.xml.Parsable

A page node in a jPDL pageflow

Author:
  Tom Baeyens, Gavin King
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.graph.def.Node
`action, arrivingTransitions, isAsync, isAsyncExclusive, leavingTransitions, superState, supportedEventTypes`

Fields inherited from class org.jbpm.graph.def.GraphElement
`events, exceptionHandlers, name, processDefinition`

Constructor Summary
`Page()`

Method Summary
`void` | `execute(org.jbpm.graph.exe.ExecutionContext executionContext)` is executed when execution arrives in this page at runtime.
`String` | `getDescription()`
`String` | `getNoConversationViewId()`
`protected String` | `getProcessToCreate()`
`Integer` | `getTimeout()`
`String` | `getTransition()`
`String` | `getViewId()`
`boolean` | `hasDescription()`
`boolean` | `isBackEnabled()`
`boolean` | `isConversationEnd()`
`boolean` | `isConversationEndBeforeRedirect()`
`boolean` | `isRedirect()`
`boolean` | `isSwitchEnabled()`
`protected boolean` | `isTaskEnd()`
`void` | `read(org.dom4j.Element pageElement, org.jbpm.jpdl.xml.JpdlXmlReader jpdlXmlReader)` parses the dom4j element that corresponds to this page.

Methods inherited from class org.jbpm.graph.def.Node
`addArrivingTransition, addLeavingTransition, addNodeLog, createAsyncContinuationJob, enter, generateNextLeavingTransitionName, getAction, getArrivingTransitions, getDefaultLeavingTransition, getFullyQualifiedName, getLeavingTransition, getLeavingTransitions, getLeavingTransitionsList, getLeavingTransitionsMap, getNodes, getParent, getProcessDefinition, getSuperState, getSupportedEventTypes, hasLeavingTransition, hasNoLeavingTransitions, isAsync, isAsyncExclusive, isSuperStateNode, leave, leave, leave, removeArrivingTransition, removeLeavingTransition, reorderLeavingTransition, setAction, setAsync, setAsyncExclusive, setName, write`

Methods inherited from class org.jbpm.graph.def.GraphElement
`addEvent, addExceptionHandler, createAsyncActionExecutionJob, equals, executeAction, findExceptionHandler, fireAndPropagateEvent, fireEvent, getEvent, getEvents, getExceptionHandlers, getId, getName, getParentChain, getParents, hasEvent, hasEvents, raiseException, removeEvent, removeExceptionHandler, reorderExceptionHandler, setDescription, setProcessDefinition, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jbpm.jpdl.xml.Parsable
`write`

Constructor Detail

### Page

    public Page()

Method Detail

### read

    public void read(org.dom4j.Element pageElement,
                     org.jbpm.jpdl.xml.JpdlXmlReader jpdlXmlReader)

  parses the dom4j element that corresponds to this page.

  Specified by:
    `read` in interface `org.jbpm.jpdl.xml.Parsable`
  Overrides:
    `read` in class `org.jbpm.graph.def.Node`

### execute

    public void execute(org.jbpm.graph.exe.ExecutionContext executionContext)

  is executed when execution arrives in this page at runtime.

  Overrides:
    `execute` in class `org.jbpm.graph.def.Node`

### isConversationEnd

    public boolean isConversationEnd()

### getTransition

    public String getTransition()

### getViewId

    public String getViewId()

### isRedirect

    public boolean isRedirect()

### hasDescription

    public boolean hasDescription()

### getDescription

    public String getDescription()

  Overrides:
    `getDescription` in class `org.jbpm.graph.def.GraphElement`

### getTimeout

    public Integer getTimeout()

### isBackEnabled

    public boolean isBackEnabled()

### isSwitchEnabled

    public boolean isSwitchEnabled()

### getNoConversationViewId

    public String getNoConversationViewId()

### isTaskEnd

    protected boolean isTaskEnd()

### getProcessToCreate

    protected String getProcessToCreate()

### isConversationEndBeforeRedirect

    public boolean isConversationEndBeforeRedirect()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD